Bug 16510 - microformats wiki existing-rel-values page not consulted for <a rel='category tag'>
microformats wiki existing-rel-values page not consulted for <a rel='category...
Status: RESOLVED WORKSFORME
Product: Validator
Classification: Unclassified
Component: HTML5
HEAD
PC other
: P2 normal
: ---
Assigned To: Michael[tm] Smith
qa-dev tracking
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 22:22 UTC by Paul Biron
Modified: 2012-03-27 20:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Biron 2012-03-24 22:22:49 UTC
According to http://www.w3.org/TR/2011/WD-html5-20110525/links.html#other-link-types:

"Conformance checkers must use the information given on the Microformats wiki existing-rel-values page to establish if a value is allowed or not: values defined in this specification or marked as "proposed" or "ratified" must be accepted when used on the elements for which they apply as described in the "Effect on..." field, whereas values marked as "discontinued" or not listed in either this specification or on the aforementioned page must be rejected as invalid. Conformance checkers may cache this information (e.g. for performance reasons or to avoid the use of unreliable network connectivity).

When an author uses a new type not defined by either this specification or the Wiki page, conformance checkers should offer to add the value to the Wiki, with the details described above, with the "proposed" status.

Types defined as extensions in the Microformats wiki existing-rel-values page with the status "proposed" or "ratified" may be used with the rel attribute on link, a, and area elements in accordance to the "Effect on..." field. [MFREL]"

The Validator does not currently consult that page and marks <a rel='category tag'> as invalid despite 'category tag' being list on http://microformats.org/wiki/existing-rel-values#HTML5_link_type_extensions with Status = "proposed"

The error message given is:

"Syntax of link type valid for <a> and <area>:
    A whitespace-separated list of link types listed as allowed on <a> and <area> in the HTML specification or listed as an allowed on <a> and <area> on the Microformats wiki without duplicate keywords in the list. You can register link types on the Microformats wiki yourself."

which implies that the Validator knows of the microformats wiki existing-rel-values page...but just isn't consulting it when checking the validity of a/@rel.
Comment 1 Michael[tm] Smith 2012-03-26 03:31:07 UTC
The entry in the Microformats wiki page for "category tag" is invalid. The spec says "Extension types must be specified with the following information" and lists "Specification" after that, and says, "A link to a more detailed description of the keyword's semantics and requirements". But the "category tags" entry provides no link; instead it says, "No formal specification."

To make that entry valid, there needs to actually be a link to some specification somewhere. As the spec indicates, it could be another page on that same Wiki, or a link to an external page.
Comment 2 Paul Biron 2012-03-27 18:12:16 UTC
(In reply to comment #1)
> The entry in the Microformats wiki page for "category tag" is invalid. The spec
> says "Extension types must be specified with the following information" and
> lists "Specification" after that, and says, "A link to a more detailed
> description of the keyword's semantics and requirements". But the "category
> tags" entry provides no link; instead it says, "No formal specification."
> 
> To make that entry valid, there needs to actually be a link to some
> specification somewhere. As the spec indicates, it could be another page on
> that same Wiki, or a link to an external page.

Thanks for the quick reply.

As I'm not part of the WordPress dev team (just someone who develops sites for clients in WordPress) I don't know whether there is a spec for "category tag", but I will open an issue with the WordPress team and ask them to write one if they haven't already and to then update the entry in the Microformats wiki.

However, with my MSM "pedant" hat on (see [1] :-) I would note that section 4.12.4.17 of the HTML5 spec says:

   ...values defined in this specification or marked as "proposed" or "ratified" must be accepted...

and that the entry for "category tag" does have a Status of "proposed".  So, despite the fact that the entry should not have that Status (because it is incomplete) I still think the validator is not in conformance with section 4.12.4.17 of the HTML5 spec and that this issue should be reopened...but I will leave that to you to decide.

[1] https://lists.w3.org/Archives/Member/w3c-xml-schema-wg/2012Mar/0010.html
Comment 3 Paul Biron 2012-03-27 18:37:55 UTC
To further complicate matters, there appears to be another error in the Microformats wiki entry in question...and WordPress, for that matter.

Since @rel "..must have a value that is a set of space-separated tokens..." [1], the entry in question is invalid because Keyword contains a space :-(  I suspect what WordPress means to spit out is @rel='category-tag' and will also open an issue with them on that matter.

Given @rel='category tag', if the validator is doing what it should, it is looking for entries (either in the HTML5 spec or the microformats wiki) for @rel='category' and @rel='tag'.  Since @rel='tag' is in the HTML5 spec it should be looking in the microformats wiki for @rel='category', which does have an entry with a Status of "proposed".  But since *that* entry is also invalid because there is no spec, we're back where we we started (invalid entry but the validator should not be flagging an error because the entry is marked as "proposed").

[1] http://www.w3.org/TR/2011/WD-html5-20110525/semantics.html#attr-link-rel
Comment 4 Paul Biron 2012-03-27 19:26:01 UTC
(In reply to comment #3)
> I suspect what WordPress means to spit out is @rel='category-tag'

Upon further reflection, I think WordPress is actually spitting out what it wants to...and that all that really needs to happen is for the Microformats wiki entry for "category tag" to be removed and for a Spec to be added to the entry for "category"
Comment 5 Paul Biron 2012-03-27 20:22:32 UTC
There apparently was already a WordPress ticket related to this [1].

I added to it, noting what they need to do [2].  With all luck that will happen soon.

[1] http://core.trac.wordpress.org/ticket/17632
[2] http://core.trac.wordpress.org/ticket/17632#comment:10